import { Request } from './request';
export { Client } from './client';
export { RequestError } from './request-error';
export { Request } from './request';
export { Response } from './response';
export declare function get(url: string): Request;
export declare function head(url: string): Request;
export declare function post(url: string): Request;
export declare function put(url: string): Request;
export declare function patch(url: string): Request;
export declare function del(url: string): Request;
export declare const request: {
    get: typeof get;
    head: typeof head;
    post: typeof post;
    put: typeof put;
    patch: typeof patch;
    del: typeof del;
    delete: typeof del;
};
