/// <reference types="node" />
import { RequestOptions } from 'https';
import { Request } from './request';
import { Response } from './response';
export declare class RequestError extends Error {
    status: number;
    statusCode: number;
    request: Request;
    response: Response;
    constructor(msg: string, req: Request, params: RequestOptions, res?: Response);
}
