"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.request = exports.del = exports.patch = exports.put = exports.post = exports.head = exports.get = exports.Response = exports.Request = exports.RequestError = exports.Client = void 0;
const request_1 = require("./request");
var client_1 = require("./client");
Object.defineProperty(exports, "Client", { enumerable: true, get: function () { return client_1.Client; } });
var request_error_1 = require("./request-error");
Object.defineProperty(exports, "RequestError", { enumerable: true, get: function () { return request_error_1.RequestError; } });
var request_2 = require("./request");
Object.defineProperty(exports, "Request", { enumerable: true, get: function () { return request_2.Request; } });
var response_1 = require("./response");
Object.defineProperty(exports, "Response", { enumerable: true, get: function () { return response_1.Response; } });
/*
 * Helper functions
 */
function get(url) {
    return new request_1.Request('GET', url);
}
exports.get = get;
function head(url) {
    return new request_1.Request('HEAD', url);
}
exports.head = head;
function post(url) {
    return new request_1.Request('POST', url);
}
exports.post = post;
function put(url) {
    return new request_1.Request('PUT', url);
}
exports.put = put;
function patch(url) {
    return new request_1.Request('PATCH', url);
}
exports.patch = patch;
function del(url) {
    return new request_1.Request('DELETE', url);
}
exports.del = del;
exports.request = { get, head, post, put, patch, del, delete: del };
// Patch around typescript declaration file issue
exports.delete = del;
